package com.ffii.fpsms.modules.stock.entity

import com.ffii.core.support.AbstractRepository
import com.ffii.fpsms.modules.pickOrder.entity.PickOrderLine
import org.springframework.stereotype.Repository

@Repository
interface SuggestPickLotRepository : AbstractRepository<SuggestedPickLot, Long> {
    fun findAllByPickOrderLineIn(lines: List<PickOrderLine>): List<SuggestedPickLot>
    fun findAllByPickOrderLineIdIn(pickOrderLineIds: List<Long>): List<SuggestedPickLot>
        
     
    fun findAllByPickOrderLineId(pickOrderLineId: Long): List<SuggestedPickLot>
}